package com.example.jinyu_rfid.been;

import androidx.databinding.BaseObservable;

import org.litepal.crud.LitePalSupport;

/**
 * @author wanghao
 * @date 2024/5/15  15:02
 */
public class ConfigurationData extends BaseObservable {

    private int index;
    private String projectName;
    private boolean state;

    public ConfigurationData(int index, String projectName, boolean state) {
        this.index = index;
        this.projectName = projectName;
        this.state = state;
    }

    public ConfigurationData() {
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "ConfigurationData{" +
                "index=" + index +
                ", projectName='" + projectName + '\'' +
                ", state=" + state +
                '}';
    }
}
